Page MenuHomePhabricator

Error from line 31 of "SD_BrowseData.php": Call to undefined method SDBrowseData::getTitle()
Closed, ResolvedPublic

Description

Setup

  • MediaWiki 1.34.0 (23f99c4) 18:34, 25 February 2020
  • PHP 7.2.24-0ubuntu0.18.04.3 (apache2handler)
  • MariaDB 10.1.44-MariaDB-0ubuntu0.18.04.1
  • Semantic MediaWiki 3.2.0-alpha (709aa35) 15:43, 24 February 2020
  • Semantic Drilldown 2.1 (64853d6) 20:55, 24 January 2019

Issue

[ec0fcf929f62121eed7d6ec6] /wiki/Sp%C3%A9cial:BrowseData/Sandbox Error from line 31 of /../w/extensions/SemanticDrilldown/specials/SD_BrowseData.php: Call to undefined method SDBrowseData::getTitle()

Backtrace

#0 /../w/includes/specialpage/SpecialPage.php(575): SDBrowseData->execute(string)
#1 /../w/includes/specialpage/SpecialPageFactory.php(611): SpecialPage->run(string)
#2 /../w/includes/MediaWiki.php(296): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#3 /../w/includes/MediaWiki.php(900): MediaWiki->performRequest()
#4 /../w/includes/MediaWiki.php(527): MediaWiki->main()
#5 /../w/index.php(44): MediaWiki->run()
#6 {main}

Event Timeline

Seb35 assigned this task to RazeSoldier.
Seb35 added subscribers: RazeSoldier, Seb35.

Was fixed by @RazeSoldier in June 2019 : 4f41672bc2b4.

Fixed in REL1_34 and next branches ; the patch is not included in version 2.1 and there is currently no version 2.2, but it will probably included in this future version.